



/****************************************************************************/
/*																			*/
/*							DEFINICIN DE FIGURAS							*/
/*																			*/
/****************************************************************************/


#include "4d_defin.h"


/******************************/
/*			CUBO              */
/******************************/

int cubo[]={ 30,	/* radio */
	30,				/*  escala */
	8,		1, 1, -1,		-1, 1, -1,		-1, -1, -1,		1, -1, -1,
			1, 1, 1,		-1, 1, 1,		-1, -1, 1,		1, -1, 1,
	12,		COLOR, 9,    0,1,  1,2,  2,3,  3,0,
			COLOR, 13,   0,4,  1,5,  2,6,  3,7,
			COLOR, 1,    4,5,  5,6,  6,7,  7,4   };

/****************************/
/*		ESTRELLAS			*/
/****************************/

int estrellas[ NUM_ESTRELLAS * 7 + 4];

void crea_estrellas(void)
{
 int n;
 int index = 0;

 estrellas[index++] = 1;	/* radio */
 estrellas[index++] = 1;	/* escala */
 estrellas[index++] = NUM_ESTRELLAS;		/* np */
 for( n = NUM_ESTRELLAS ; n > 0 ; n-- )
 {
  double delta=0;
  int ro;
  ro =  50 + n*4;
  delta = random(2*31416);
  delta /= 100;

  estrellas[index++] = ro * cos(delta);   /* x */
  estrellas[index++] = ro * sin(delta);   /* y */
  estrellas[index++] = n*2;   /* z */
 }
 estrellas[index++] = NUM_ESTRELLAS;         /* nl */
 for( n = NUM_ESTRELLAS ; n > 0 ; n-- )
 {
  estrellas[index++] = COLOR;            /* color*/
  estrellas[index++] = random(15);
  estrellas[index++] = n - 1 ;  /* linea from-to */
  estrellas[index++] = n - 1 ;
 }
}

/****************************/
/*			TANQUE			*/
/****************************/

int tanque[]={ 18 * 4,    /* radio */
	4,  /* escala */
	30, /* nmero de puntos */
		/* cuerpo */
			-8,8,0,    -10,14,4,   -8,12,8,    8,12,8,
			10,14,4,   8,8,0,      -8,-10,0,   -10,-14,4,
			-8,-12,8,  8,-12,8,    10,-14,4,   8,-10,0,
		/* torre */
			-4,0,8,    -4,-8,8,    4,-8,8,    4,0,8,
			-4,0,12,   -4,-8,10,   4,-8,10,    4,0,12,
		/* can */
			-1,18,9,   -1,18,11,   1,18,11,    1,18,9,
			-1,0,9,    -1,0,11,    1,0,11,     1,0,9,
		/* ANTENA */
			-6,-10,8,  -6,-10,18,
	41, /* nmero de lneas */
		/* cuerpo */    COLOR, LIGHTBLUE,
			0,6, 6,11, 11,5, 5,0,
			1,7, 7,10, 10,4, 4,1,
			2,8, 8,9, 9,3, 3,2,
			0,1, 1,2,   6,7, 7,8,   11,10, 10,9,   5,4, 4,3,
		/* torre */   COLOR, GREEN,
			12,13, 13,14, 14,15, 15,12,
			16,17, 17,18, 18,19, 19,16,
			12,16, 13,17, 14,18, 15,19,
		/* can */   COLOR, YELLOW,
			24,20, 20,23, 23,27,
			25,21, 21,22, 22,26,
			20,21, 22,23,
		/* antena */
			COLOR, DARKGRAY,  28,29   };


/****************************/
/*			PROYECTIL		*/
/****************************/

int proyectil[] = { 3 * 4,    /* radio */
	4,   /* escala */
	6,	 	1,0,0,  0,0,1,  -1,0,0,  0,0,-1,  0,3,0,  0,-1,0,
	9,		COLOR, LIGHTCYAN,  0,5, 1,5, 2,5, 3,5, 0,4, 1,4, 2,4, 3,4, 5,4  };
